gig::Exception Class Reference

Will be thrown whenever a gig specific error occurs while trying to access a Gigasampler File. More...

`#include <gig.h>`

Inheritance diagram for gig::Exception:

## Public Member Functions

| Exception (String format,...)
| Exception (String format, va_list arg)
void | PrintMessage () const

## Public Attributes

String | Message

## Static Protected Member Functions

static String | assemble (String format, va_list arg)

## Detailed Description

Will be thrown whenever a gig specific error occurs while trying to access a Gigasampler File.

Note: In your application you should better catch for RIFF::Exception rather than this one, except you explicitly want to catch and handle gig::Exception, DLS::Exception and RIFF::Exception independently, which usually shouldn't be necessary though.

Definition at line 1512 of file gig.h.

## Constructor & Destructor Documentation

## Exception() [1/3]

gig::Exception::Exception | ( | String | format,
|  |  | ... )

Definition at line 7511 of file gig.cpp.

## Exception() [2/3]

gig::Exception::Exception | ( | String | format,
|  | va_list | arg )

Definition at line 7518 of file gig.cpp.

## Exception() [3/3]

gig::Exception::Exception | ( |  | ) |

protected

Definition at line 7508 of file gig.cpp.

## Member Function Documentation

## assemble()

String RIFF::Exception::assemble | ( | String | format,
|  | va_list | arg )

static protected inherited

Definition at line 2778 of file RIFF.cpp.

## PrintMessage()

void gig::Exception::PrintMessage | ( |  | ) | const

Definition at line 7522 of file gig.cpp.

## Member Data Documentation

## Message

String RIFF::Exception::Message

inherited

Definition at line 399 of file RIFF.h.

The documentation for this class was generated from the following files:

- gig.h
- gig.cpp